WordPress 4.4 and the Woothemes Xero plugin

Written by Sam

On January 5, 2016

If you use Woocommerce on your WordPress website, there’s a chance you’re also using the (very good) Woothemes Xero Plugin.

Unfortunately, if you’ve already upgraded to WordPress 4.4 you will be receiving a new error message when you try to generate invoices.

“Fatal error: Uncaught exception ‘Exception’ with message ‘There was a problem connecting to the API.’ ” – followed by some extra info describing the error in more detail.

Our investigations found that it is due to WordPress 4.4 having removed a number of SSL certificates from the bundled root certificate file. (more info here)

We raised a ticket with Woothemes, who gave us this response:

This issue is due to a recent bug with WordPress 4.4 which I believe would be resolved with the 4.4.1 update, you can however resolve it by installing and activating the attached plugin which serves as a fix.

It’s a few simple lines of code instructing WordPress 4.4 to go ahead and use SSL anyway, and you can download it here: WordPress 4.4 and Xero Plugin Fix

You may also be interested in…

Maintaining your WordPress site

Maintaining your WordPress site

Do you find it hard to stay on top of your website requirements; Wordpress updates, theme updates, plugin updates, spam, etc etc? Have you ever run a little update, and then realised something went wrong. Maybe it's a plugin conflict? Maybe a hosting issue? Maybe your...